Open CASCADE Technology  7.7.0.dev
Public Member Functions | Protected Member Functions

BRepClass_FaceExplorer Class Reference

Provide an exploration of a BRep Face for the classification. Return UV edges. More...

#include <BRepClass_FaceExplorer.hxx>

Public Member Functions

 BRepClass_FaceExplorer (const TopoDS_Face &F)
 
Standard_Boolean CheckPoint (gp_Pnt2d &thePoint)
 Checks the point and change its coords if it is located too far from the bounding box of the face. New Coordinates of the point will be on the line between the point and the center of the bounding box. Returns True if point was not changed. More...
 
Standard_Boolean Reject (const gp_Pnt2d &P) const
 Should return True if the point is outside a bounding volume of the face. More...
 
Standard_Boolean Segment (const gp_Pnt2d &P, gp_Lin2d &L, Standard_Real &Par)
 Returns in <L>, <Par> a segment having at least one intersection with the face boundary to compute intersections. More...
 
Standard_Boolean OtherSegment (const gp_Pnt2d &P, gp_Lin2d &L, Standard_Real &Par)
 Returns in <L>, <Par> a segment having at least one intersection with the face boundary to compute intersections. Each call gives another segment. More...
 
void InitWires ()
 Starts an exploration of the wires. More...
 
Standard_Boolean MoreWires () const
 Returns True if there is a current wire. More...
 
void NextWire ()
 Sets the explorer to the next wire. More...
 
Standard_Boolean RejectWire (const gp_Lin2d &L, const Standard_Real Par) const
 Returns True if the wire bounding volume does not intersect the segment. More...
 
void InitEdges ()
 Starts an exploration of the edges of the current wire. More...
 
Standard_Boolean MoreEdges () const
 Returns True if there is a current edge. More...
 
void NextEdge ()
 Sets the explorer to the next edge. More...
 
Standard_Boolean RejectEdge (const gp_Lin2d &L, const Standard_Real Par) const
 Returns True if the edge bounding volume does not intersect the segment. More...
 
void CurrentEdge (BRepClass_Edge &E, TopAbs_Orientation &Or) const
 Current edge in current wire and its orientation. More...
 
Standard_Real MaxTolerance () const
 Returns the maximum tolerance. More...
 
void SetMaxTolerance (const Standard_Real theValue)
 Sets the maximum tolerance at which to start checking in the intersector. More...
 
Standard_Boolean UseBndBox () const
 Returns true if we are using boxes in the intersector. More...
 
void SetUseBndBox (const Standard_Boolean theValue)
 Sets the status of whether we are using boxes or not. More...
 

Protected Member Functions

void ComputeFaceBounds ()
 Computes UV bounds of a face. More...
 

Detailed Description

Provide an exploration of a BRep Face for the classification. Return UV edges.

Constructor & Destructor Documentation

◆ BRepClass_FaceExplorer()

BRepClass_FaceExplorer::BRepClass_FaceExplorer ( const TopoDS_Face F)

Member Function Documentation

◆ CheckPoint()

Standard_Boolean BRepClass_FaceExplorer::CheckPoint ( gp_Pnt2d thePoint)

Checks the point and change its coords if it is located too far from the bounding box of the face. New Coordinates of the point will be on the line between the point and the center of the bounding box. Returns True if point was not changed.

◆ ComputeFaceBounds()

void BRepClass_FaceExplorer::ComputeFaceBounds ( )
protected

Computes UV bounds of a face.

◆ CurrentEdge()

void BRepClass_FaceExplorer::CurrentEdge ( BRepClass_Edge E,
TopAbs_Orientation Or 
) const

Current edge in current wire and its orientation.

◆ InitEdges()

void BRepClass_FaceExplorer::InitEdges ( )

Starts an exploration of the edges of the current wire.

◆ InitWires()

void BRepClass_FaceExplorer::InitWires ( )

Starts an exploration of the wires.

◆ MaxTolerance()

Standard_Real BRepClass_FaceExplorer::MaxTolerance ( ) const
inline

Returns the maximum tolerance.

◆ MoreEdges()

Standard_Boolean BRepClass_FaceExplorer::MoreEdges ( ) const

Returns True if there is a current edge.

◆ MoreWires()

Standard_Boolean BRepClass_FaceExplorer::MoreWires ( ) const

Returns True if there is a current wire.

◆ NextEdge()

void BRepClass_FaceExplorer::NextEdge ( )

Sets the explorer to the next edge.

◆ NextWire()

void BRepClass_FaceExplorer::NextWire ( )

Sets the explorer to the next wire.

◆ OtherSegment()

Standard_Boolean BRepClass_FaceExplorer::OtherSegment ( const gp_Pnt2d P,
gp_Lin2d L,
Standard_Real Par 
)

Returns in <L>, <Par> a segment having at least one intersection with the face boundary to compute intersections. Each call gives another segment.

◆ Reject()

Standard_Boolean BRepClass_FaceExplorer::Reject ( const gp_Pnt2d P) const

Should return True if the point is outside a bounding volume of the face.

◆ RejectEdge()

Standard_Boolean BRepClass_FaceExplorer::RejectEdge ( const gp_Lin2d L,
const Standard_Real  Par 
) const

Returns True if the edge bounding volume does not intersect the segment.

◆ RejectWire()

Standard_Boolean BRepClass_FaceExplorer::RejectWire ( const gp_Lin2d L,
const Standard_Real  Par 
) const

Returns True if the wire bounding volume does not intersect the segment.

◆ Segment()

Standard_Boolean BRepClass_FaceExplorer::Segment ( const gp_Pnt2d P,
gp_Lin2d L,
Standard_Real Par 
)

Returns in <L>, <Par> a segment having at least one intersection with the face boundary to compute intersections.

◆ SetMaxTolerance()

void BRepClass_FaceExplorer::SetMaxTolerance ( const Standard_Real  theValue)
inline

Sets the maximum tolerance at which to start checking in the intersector.

◆ SetUseBndBox()

void BRepClass_FaceExplorer::SetUseBndBox ( const Standard_Boolean  theValue)
inline

Sets the status of whether we are using boxes or not.

◆ UseBndBox()

Standard_Boolean BRepClass_FaceExplorer::UseBndBox ( ) const
inline

Returns true if we are using boxes in the intersector.


The documentation for this class was generated from the following file: